unit u_add;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  StdCtrls, NTSchedule;

type
  Tf_add = class(TForm)
    NTSchedule1: TNTSchedule;
    e_command: TEdit;
    m_daysofmonth: TMemo;
    m_daysofweek: TMemo;
    GroupBox1: TGroupBox;
    chk_jfjob_run_periodically: TCheckBox;
    chk_jfjob_add_current_date: TCheckBox;
    Label1: TLabel;
    Label2: TLabel;
    Label3: TLabel;
    e_jobtime: TEdit;
    Label4: TLabel;
    e_servername: TEdit;
    Label5: TLabel;
    Label6: TLabel;
    btn_close: TButton;
    btn_add: TButton;
    procedure btn_closeClick(Sender: TObject);
    procedure btn_addClick(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  f_add: Tf_add;

implementation

{$R *.DFM}

procedure Tf_add.btn_closeClick(Sender: TObject);
begin
  close;
end;

procedure Tf_add.btn_addClick(Sender: TObject);
var status   :integer;
begin

  NTSchedule1.ServerName:=e_servername.text;
  NTSchedule1.JobTime:=e_jobtime.text;
  NTSchedule1.Command:=e_command.text;
  NTSchedule1.DaysOfWeek.Assign(m_daysofweek.Lines);
  NTSchedule1.DaysOfMonth.Assign(m_daysofmonth.Lines);
  NTSchedule1.Flags:=[];
  if chk_jfjob_run_periodically.Checked then
    NTSchedule1.Flags:=NTSchedule1.Flags + [jfJob_Run_Periodically];
  if chk_jfjob_add_current_date.Checked then
    NTSchedule1.Flags:=NTSchedule1.Flags + [jfJob_Add_Current_Date];

  status:=NTSchedule1.AddJob;
  if status = 0 then
  begin
    showmessage('Job added. JobId = ' + inttostr(NTSchedule1.jobid))
  end
  else
    showmessage('Job not added.')

end;

end.
