unit u_enum_del;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  StdCtrls, NTSchedule;

type
  Tf_enum_del = class(TForm)
    btn_close: TButton;
    btn_enumurate: TButton;
    btn_delete: TButton;
    lb_details: TListBox;
    NTSchedule1: TNTSchedule;
    Label5: TLabel;
    e_servername: TEdit;
    Label1: TLabel;
    Label2: TLabel;
    Label3: TLabel;
    btn_info: TButton;
    procedure btn_enumurateClick(Sender: TObject);
    procedure btn_closeClick(Sender: TObject);
    procedure btn_deleteClick(Sender: TObject);
    procedure FormActivate(Sender: TObject);
    procedure btn_infoClick(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  f_enum_del: Tf_enum_del;

implementation

uses u_jobinfo;

{$R *.DFM}

procedure Tf_enum_del.btn_enumurateClick(Sender: TObject);
var i       :integer;
    s       :string;
    jid     :string[5];
    status  :integer;
begin
  lb_details.Clear;
  status:=NTSchedule1.EnumJobs(e_servername.text);
  if NTSchedule1.NumberOfJobs=0 then
  begin
    showmessage('No scheduled jobs');
    exit;
  end;

  s:='                                        ';
  for i:=0 to NTSchedule1.NumberOfJobs-1 do
  begin
    s:=inttostr(NTSchedule1.jobs[i].JobId) + ' ' + #9
       + NTSchedule1.jobs[i].JobTime + ' ' + #9
       + NTSchedule1.jobs[i].command;
    lb_details.items.add(s);
  end;

end;

procedure Tf_enum_del.btn_closeClick(Sender: TObject);
begin
  close;
end;

procedure Tf_enum_del.btn_deleteClick(Sender: TObject);
var indx,i  :integer;
    s       :string;
    status  :integer;
begin
  indx:=lb_details.itemindex;
  if indx<0 then
    exit;
  i:=pos(' ',lb_details.items[indx]);
  s:=copy(lb_details.items[indx],1,i-1);

  indx:=strtoint(s);

  NTSchedule1.ServerName:=e_servername.text;
  status:=NTSchedule1.DelJob(indx,indx);
  if status <> 0 then
  begin
    showmessage('Could not delete job ' + s);
    exit;
  end
  else
    showmessage('Job ' + s + ' deleted.');

  btn_enumurateClick(Self);
end;

procedure Tf_enum_del.FormActivate(Sender: TObject);
begin
  lb_details.Clear;
end;

procedure Tf_enum_del.btn_infoClick(Sender: TObject);
var indx,i  :integer;
    s       :string;
begin
  indx:=lb_details.itemindex;
  if indx<0 then
    exit;
  i:=pos(' ',lb_details.items[indx]);
  s:=copy(lb_details.items[indx],1,i-1);

  f_info.e_servername.text:=e_servername.text;
  f_info.e_jobid.text:=s;
  f_info.showmodal;
end;

end.
