unit u_jobinfo;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  NTSchedule, StdCtrls;

type
  Tf_info = class(TForm)
    Label1: TLabel;
    Label2: TLabel;
    Label3: TLabel;
    Label4: TLabel;
    Label5: TLabel;
    Label6: TLabel;
    e_command: TEdit;
    m_daysofmonth: TMemo;
    m_daysofweek: TMemo;
    GroupBox1: TGroupBox;
    chk_jfjob_run_periodically: TCheckBox;
    chk_jfjob_exec_error: TCheckBox;
    e_jobtime: TEdit;
    e_servername: TEdit;
    btn_close: TButton;
    NTSchedule1: TNTSchedule;
    e_jobid: TEdit;
    Label7: TLabel;
    chk_jfjob_runs_today: TCheckBox;
    procedure FormActivate(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  f_info: Tf_info;

implementation

{$R *.DFM}

procedure Tf_info.FormActivate(Sender: TObject);
var status    :integer;
begin
  chk_jfjob_run_periodically.Checked:=false;
  chk_jfjob_exec_error.Checked:=false;
  chk_jfjob_runs_today.Checked:=false;
  if trim(e_jobid.text) <> '' then
  begin
    status:=NTSchedule1.JobInfo(e_servername.text,
                                strtoint(e_jobid.text));

    if status = 0 then
    begin
      m_daysofweek.Lines.assign(NTSchedule1.DaysOfWeek);
      m_daysofmonth.Lines.assign(NTSchedule1.DaysOfMonth);
      e_jobtime.text:=NTSchedule1.JobTime;
      e_command.text:=NTSchedule1.Command;
      if (jfjob_run_periodically in NTSchedule1.Flags) then
        chk_jfjob_run_periodically.Checked:=true;
      if (jfjob_exec_error in NTSchedule1.Flags) then
        chk_jfjob_exec_error.Checked:=true;
      if (jfjob_runs_today in NTSchedule1.Flags) then
        chk_jfjob_runs_today.Checked:=true;
    end;
  end;
end;

end.
